body.frontpage {

    background-image: url(/static/app/image/banner/payment-gateway-bg-1.png);
    background-attachment: fixed;
    background-position: top left;
    background-repeat: no-repeat;
    background-size: cover;
}
body {
    font-size: 14px;
    line-height: 18px;
    font-family: 'Open Sans', Arial, Helvetica, sans-serif;
}
.white-bg{
    background-color: #FFFFFF;
}
.small-padding-top{
    padding-top: 10px;
}
.small-padding-bottom{
    padding-bottom: 10px;
}
.medium-padding-bottom{
    padding-bottom: 20px;
}
.small-margin-top{
    margin-top: 10px;
}
.small-margin-left{
    margin-left: 10px;
}
.small-margin-right{
    margin-right: 10px;
}
.medium-margin-top{
    margin-top: 20px;
}
.medium-margin-bottom{
    margin-bottom: 20px;
}
.medium-padding-top{
    padding-top: 20px;
}

a.no-decoration:hover{
    text-decoration: none;
}

.small-font{
    font-size: 10pt;
}

.medium-font{
    font-size: 20pt;
}

.large-font{
    font-size: 30pt;
}

.txt-white {
    color: #ffffff !important;
}


.container input, .frontpage span, .container.content .btn-default {
    outline: none !important;
}

.form-control {
    font-weight: bold;
}

.col-centered{
    float: none;
    margin: 0 auto;
}

.center{
    margin-left:auto !important;
    margin-right:auto !important;
}

/*--------------------------------
Icon Styling
----------------------------------*/
.icon-nav{
    height: 21px;
    width: 21px;
}
.icon-email-white {
    background: url("/static/app/image/icon/icon-email-white.png") no-repeat 5px center !important;
}
.icon-password-white {
    background: url("/static/app/image/icon/icon-password-white.png") no-repeat 5px center !important;
}
.icon-nav-search {
    background: url(/static/app/img/icon/icon-nav-search.png) no-repeat left center;

}
.icon-nav-notify {
    background: url(/static/app/img/icon/icon-nav-notify.png) no-repeat left center;
}

.input-gsd-h {
    border-radius: 6px !important;
    padding-left: 40px !important;
    background-color: #444444 !important;
    color: #FFFFFF !important;
}

#option-login {
    line-height: 14px !important;
}

.noright {
    padding-right: 0;
}

.noleft {
    padding-left: 0;
}



.white-panel {
    background: #ffffff;
    /* opacity: 0.93; */
    border-radius: 5px;
    min-height: 200px !important;
	
}

.grey-panel {
    background: grey;
    /* opacity: 0.93; */
    border-radius: 5px;
    min-height: 200px !important;
	
}

.white-panel.opacity {
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=95)";
    filter: alpha(opacity=95);
    -moz-opacity: 0.95;
    -khtml-opacity: 0.95;
    opacity: 0.95;
}

.solid-line {
    border: 1px solid #000000 !important;
}

.solid-line-grey {
    border: 1px solid rgb(228, 228, 228) !important;
}


.datepicker{
	max-width: 280px;
}

.datetimepicker{
	max-width: 280px;
}


.rotate {
    transform:rotate(180deg);
    transition:all 0.5s;
}
.rotate.in {
    transform:rotate(1800deg);
    transition:all 1.5s;
}

.field-set {
  border: 1px #555 solid;
}





/*------------------------ Start: Button Stying ------------------------*/

.btn{
	margin-bottom: 10px;
}

.btn-facebook {
    color: #fff;
    background-color: #3b5998;
    border-color: rgba(0,0,0,0.2);
}

.btn-social {
    position: relative;
    /*padding-left: 44px;*/
	padding-left: 25%;
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
	width: 100% !important;
}

.btn-social:hover {
    color: #eee;
}

.btn-social :first-child {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 40px;
    padding: 7px;
    font-size: 1.6em;
    text-align: center;
    border-right: 1px solid rgba(0,0,0,0.2);
}

/*------------------------ End: Button Stying ------------------------*/



/*------------------------ Start: Switch & Slider Stying ------------------------*/
/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
  float:right;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input.default:checked + .slider {
  background-color: #444;
}

input.default:checked[disabled] + .slider {
  opacity: 0.6;
}

input.primary:checked + .slider {
  background-color: #2196F3;
}

input.primary:checked[disabled] + .slider {
  opacity: 0.6;
}

input.success:checked + .slider {
  background-color: #8bc34a;
}

input.success:checked[disabled] + .slider {
  opacity: 0.6;
}

input.info:checked + .slider {
  background-color: #3de0f5;
}

input.info:checked[disabled] + .slider {
  opacity: 0.6;
}

input.warning:checked + .slider {
  background-color: #FFC107;
}

input.warning:checked[disabled] + .slider {
  opacity: 0.6;
}

input.danger:checked + .slider {
  background-color: #f44336;
}

input.danger:checked[disabled] + .slider {
  opacity: 0.6;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

.long-text-next-line{
	width: 150px;
	height: auto;
	white-space: normal !important;
	/*overflow: hidden !important;*/
}


.treeview > a {  display: table}
.treeview > a > *{  display: table-cell;}

.overlay{
	position	: fixed;
	right		: 0px;
	top			: 0px;
	bottom		: 0px;
	width 		: 100%;
    height 		: 100%;
	display 	: none;
    /*opacity: 0.2;
  	filter: alpha(opacity=20);
  	background-color: #000000;*/
  	background-color: rgba(255,255,255,0.8);
  	z-index: 2;
}

.center-align{
    text-align: center !important;
    margin: 10px auto;
}

.left-align{
    text-align: left !important;
}

#common_overlay{
	padding-top: 250px !important;
	color: #555555;
	min-height: 50px;
	height: 100%;
    width: 100%;
    display: contents;
    left: 0;
}

.center-block {
    display: block;
    margin-left: auto;
    margin-right: auto;
 }

#contact_us_from_landing_page{
	margin-top: -100px;
}

.min-padding{
	padding-top: 200px;
}




#footer_copyright{
	margin-bottom: 15px !important;	
}

.tab-content{
	min-height: 300px;
}


.popover{
    max-width: 90%;
    min-width: 50%;
    min-height: 50%;
    max-height: 80%;
}

.lh-18{
	line-height: 18px;
}

.lh-24{
	line-height: 24px;
}

.lh-30{
	line-height: 30px;
}


.no-list-style{
	
	list-style-type: none;
	
}

ul.stepper.horizontal {
   min-height: 400px;
}


ul.stepper .wait-feedback {
	left: 35% !important;
  	border: 16px solid #f3f3f3; /* Light grey */
  	border-top: 16px solid #3498db; /* Blue */
  	border-radius: 50%;
  	width: 120px !important;
  	height: 120px !important;
  	animation: spin 2s linear infinite;
}

.wait-loading {
	left: 35% !important;
  	border: 16px solid #f3f3f3; /* Light grey */
  	border-top: 16px solid #3498db; /* Blue */
  	border-radius: 50%;
  	width: 120px !important;
  	height: 120px !important;
  	animation: spin 2s linear infinite;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.slow  .toggle-group { transition: left 0.7s; -webkit-transition: left 0.7s; }
.fast  .toggle-group { transition: left 0.1s; -webkit-transition: left 0.1s; }
.quick .toggle-group { transition: none;      -webkit-transition: none; }


.progress {
    background-color: #ccc !important;
    
}

.input-lg {
    height: 60px;
    padding: 16px 24px;
    font-size: 28px;
    line-height: 28;
    border-radius: 6px;
}

.integer {
  text-align:right;
}

.integer-only {
  text-align:right;
}

.number {
  text-align:right;
}

.currency {
  text-align:right;
}


/*------------------------ Start: Material Stying ------------------------*/

/* Rules for sizing the icon. */
.material-icons.md-18 { font-size: 18px; }
.material-icons.md-24 { font-size: 24px; }
.material-icons.md-36 { font-size: 36px; }
.material-icons.md-48 { font-size: 48px; }

/* Rules for using icons as black on a light background. */
.material-icons.md-dark { color: rgba(0, 0, 0, 0.54); }
.material-icons.md-dark.md-inactive { color: rgba(0, 0, 0, 0.26); }

/* Rules for using icons as white on a dark background. */
.material-icons.md-light { color: rgba(255, 255, 255, 1); }
.material-icons.md-light.md-inactive { color: rgba(255, 255, 255, 0.3); }

/*------------------------ End: Material Stying ------------------------*/

/*------------------------ Start: Upload file Stying ------------------------*/
.upload-file-input {
    opacity: 0;
}

.upload-label {
    position: absolute;
    top: 50%;
    left: 1rem;
    transform: translateY(-50%);
}

.image-area {
    border: 2px dashed rgba(5, 5, 5, 0.7);
    padding: 1rem;
    position: relative;
}

.image-area::before {
    content: 'Uploaded image result';
    color: #555;
    font-weight: bold;
    text-transform: uppercase;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 0.8rem;
    z-index: 1;
}

.image-area img {
    z-index: 2;
    position: relative;
}

/*------------------------ End: Upload file Stying ------------------------*/

.stat-widget{
	color: #FFF;
}

.stat-widget .card{
	min-height: 150px;
}

.stat-widget-one {
    padding: 2rem;
}

.text-danger {
    color: #ff5630 !important;
}

.stat-widget .stat-icon {
    margin-bottom: 5px;
    color: #ffffff;
}

.stat-widget .stat-text {
    font-size: 15px;
    margin-bottom: 5px;
    color: #ffffff;
}

.stat-widget .stat-digit {
    font-size: 23px;
    font-weight: bold;
    color: #FFFFFF;
}

.stat-widget .gradient-1{
	background-image: linear-gradient(230deg, #759bff, #843cf6);
}

.stat-widget .gradient-2{
	background-image: linear-gradient(230deg, #fc5286, #fbaaa2);
}

.stat-widget .gradient-3{
	background-image: linear-gradient(230deg, #ffc480, #ff763b);
}

.stat-widget .gradient-4{
	background-image: linear-gradient(230deg, #0e4cfd, #6a8eff);
}

/* refer https://digitalsynopsis.com/design/beautiful-color-ui-gradients-backgrounds/ */

.stat-widget .gradient-lush{
	background-image: linear-gradient(230deg, #56ab2f, #a8e063);
}

.stat-widget .gradient-green-beach{
	background-image: linear-gradient(230deg, #02aab0, #00cdac);
}

.stat-widget .gradient-bloody-mary{
	background-image: linear-gradient(230deg, #ff512f, #dd2476);
}

.stat-widget .gradient-decent{
	background-image: linear-gradient(230deg, #4ca1af, #c4e0e5);
}

.stat-widget .gradient-sweet-morning{
	background-image: linear-gradient(230deg, #ff5f6d, #ffc371);
}

.stat-widget .gradient-aubergine{
	background-image: linear-gradient(230deg, #aa076b, #61045f);
}

ul.stepper .step.done::before {
	background-color: green !important
}

tr.reverted {
  text-decoration: line-through;
}

.normal-text{
	text-decoration: none !important;
}

.help-block .error{
	text-decoration: blod;
}

dl.show-divider{
	border-bottom: 1px dotted #555;
	padding-bottom: 15px;
}
dl.show-divider:last-child{
	border-bottom:0;
}

.product-container {
  	position: relative;
  	max-width: 800px; /* Maximum width */
  	margin: 0 auto; /* Center it */
}

.product-container img {
	max-width: 200px;
	height: 250px;
}

.product-container .content {
  	position: absolute; /* Position the background text */
  	bottom: 0; /* At the bottom. Use top:0 to append it to the top */
  	background: rgb(0, 0, 0); /* Fallback color */
  	background: rgba(0, 0, 0, 0.5); /* Black background with 0.5 opacity */
  	color: #f1f1f1; /* Grey text */
  	width: 100%; /* Full width */
  	max-width: 200px;
  	padding: 5px; /* Some padding */
  	
}

.product-label{
	font-size: 12pt;
}

.borderless td, .borderless th {
    border: none;
}



